## org.eclipse.emf.ecore.xml.type
Interface XMLTypePackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  XMLTypePackageImpl

    public interface XMLTypePackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `XMLTypeFactory`

Nested Class Summary
`static interface` `XMLTypePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `ANY_SIMPLE_TYPE` The meta object id for the 'Any Simple Type' data type
`static int` `ANY_TYPE` The meta object id for the '`Any Type`' class
`static int` `ANY_TYPE__ANY` The feature id for the 'Any' attribute list
`static int` `ANY_TYPE__ANY_ATTRIBUTE` The feature id for the 'Any Attribute' attribute list
`static int` `ANY_TYPE__MIXED` The feature id for the 'Mixed' attribute list
`static int` `ANY_TYPE_FEATURE_COUNT` The number of structural features of the 'Any Type' class
`static int` `ANY_URI` The meta object id for the 'Any URI' data type
`static int` `BASE64_BINARY` The meta object id for the 'Base64 Binary' data type
`static int` `BOOLEAN` The meta object id for the 'Boolean' data type
`static int` `BOOLEAN_OBJECT` The meta object id for the 'Boolean Object' data type
`static int` `BYTE` The meta object id for the 'Byte' data type
`static int` `BYTE_OBJECT` The meta object id for the 'Byte Object' data type
`static int` `DATE` The meta object id for the 'Date' data type
`static int` `DATE_TIME` The meta object id for the 'Date Time' data type
`static int` `DECIMAL` The meta object id for the 'Decimal' data type
`static int` `DOUBLE` The meta object id for the 'Double' data type
`static int` `DOUBLE_OBJECT` The meta object id for the 'Double Object' data type
`static int` `DURATION` The meta object id for the 'Duration' data type
`static XMLTypePackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `ENTITIES` The meta object id for the 'ENTITIES' data type
`static int` `ENTITIES_BASE` The meta object id for the 'ENTITIES Base' data type
`static int` `ENTITY` The meta object id for the 'ENTITY' data type
`static int` `FLOAT` The meta object id for the 'Float' data type
`static int` `FLOAT_OBJECT` The meta object id for the 'Float Object' data type
`static int` `GDAY` The meta object id for the 'GDay' data type
`static int` `GMONTH` The meta object id for the 'GMonth' data type
`static int` `GMONTH_DAY` The meta object id for the 'GMonth Day' data type
`static int` `GYEAR` The meta object id for the 'GYear' data type
`static int` `GYEAR_MONTH` The meta object id for the 'GYear Month' data type
`static int` `HEX_BINARY` The meta object id for the 'Hex Binary' data type
`static int` `ID` The meta object id for the 'ID' data type
`static int` `IDREF` The meta object id for the 'IDREF' data type
`static int` `IDREFS` The meta object id for the 'IDREFS' data type
`static int` `IDREFS_BASE` The meta object id for the 'IDREFS Base' data type
`static int` `INT` The meta object id for the 'Int' data type
`static int` `INT_OBJECT` The meta object id for the 'Int Object' data type
`static int` `INTEGER` The meta object id for the 'Integer' data type
`static int` `LANGUAGE` The meta object id for the 'Language' data type
`static int` `LONG` The meta object id for the 'Long' data type
`static int` `LONG_OBJECT` The meta object id for the 'Long Object' data type
`static int` `NAME` The meta object id for the 'Name' data type
`static int` `NC_NAME` The meta object id for the 'NC Name' data type
`static int` `NEGATIVE_INTEGER` The meta object id for the 'Negative Integer' data type
`static int` `NMTOKEN` The meta object id for the 'NMTOKEN' data type
`static int` `NMTOKENS` The meta object id for the 'NMTOKENS' data type
`static int` `NMTOKENS_BASE` The meta object id for the 'NMTOKENS Base' data type
`static int` `NON_NEGATIVE_INTEGER` The meta object id for the 'Non Negative Integer' data type
`static int` `NON_POSITIVE_INTEGER` The meta object id for the 'Non Positive Integer' data type
`static int` `NORMALIZED_STRING` The meta object id for the 'Normalized String' data type
`static int` `NOTATION` The meta object id for the 'NOTATION' data type
`static int` `POSITIVE_INTEGER` The meta object id for the 'Positive Integer' data type
`static int` `PROCESSING_INSTRUCTION` The meta object id for the '`Processing Instruction`' class
`static int` `PROCESSING_INSTRUCTION__DATA` The feature id for the 'Data' attribute
`static int` `PROCESSING_INSTRUCTION__TARGET` The feature id for the 'Target' attribute
`static int` `PROCESSING_INSTRUCTION_FEATURE_COUNT` The number of structural features of the 'Processing Instruction' class
`static int` `QNAME` The meta object id for the 'QName' data type
`static int` `SHORT` The meta object id for the 'Short' data type
`static int` `SHORT_OBJECT` The meta object id for the 'Short Object' data type
`static int` `SIMPLE_ANY_TYPE` The meta object id for the '`Simple Any Type`' class
`static int` `SIMPLE_ANY_TYPE__ANY` The feature id for the 'Any' attribute list
`static int` `SIMPLE_ANY_TYPE__ANY_ATTRIBUTE` The feature id for the 'Any Attribute' attribute list
`static int` `SIMPLE_ANY_TYPE__INSTANCE_TYPE` The feature id for the 'Instance Type' reference
`static int` `SIMPLE_ANY_TYPE__MIXED` The feature id for the 'Mixed' attribute list
`static int` `SIMPLE_ANY_TYPE__RAW_VALUE` The feature id for the 'Raw Value' attribute
`static int` `SIMPLE_ANY_TYPE__VALUE` The feature id for the 'Value' attribute
`static int` `SIMPLE_ANY_TYPE_FEATURE_COUNT` The number of structural features of the 'Simple Any Type' class
`static int` `STRING` The meta object id for the 'String' data type
`static int` `TIME` The meta object id for the 'Time' data type
`static int` `TOKEN` The meta object id for the 'Token' data type
`static int` `UNSIGNED_BYTE` The meta object id for the 'Unsigned Byte' data type
`static int` `UNSIGNED_BYTE_OBJECT` The meta object id for the 'Unsigned Byte Object' data type
`static int` `UNSIGNED_INT` The meta object id for the 'Unsigned Int' data type
`static int` `UNSIGNED_INT_OBJECT` The meta object id for the 'Unsigned Int Object' data type
`static int` `UNSIGNED_LONG` The meta object id for the 'Unsigned Long' data type
`static int` `UNSIGNED_SHORT` The meta object id for the 'Unsigned Short' data type
`static int` `UNSIGNED_SHORT_OBJECT` The meta object id for the 'Unsigned Short Object' data type
`static int` `XML_TYPE_DOCUMENT_ROOT` The meta object id for the '`Document Root`' class
`static int` `XML_TYPE_DOCUMENT_ROOT__CDATA` The feature id for the 'CDATA' attribute
`static int` `XML_TYPE_DOCUMENT_ROOT__COMMENT` The feature id for the 'Comment' attribute
`static int` `XML_TYPE_DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list
`static int` `XML_TYPE_DOCUMENT_ROOT__PROCESSING_INSTRUCTION` The feature id for the 'Processing Instruction' containment reference
`static int` `XML_TYPE_DOCUMENT_ROOT__TEXT` The feature id for the 'Text' attribute
`static int` `XML_TYPE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map
`static int` `XML_TYPE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map
`static int` `XML_TYPE_DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class

Method Summary
`EDataType` `getAnySimpleType()` Returns the meta object for data type '`Any Simple Type`'
`EAttribute` `getAnyType_Any()` Returns the meta object for the attribute list '`Any`'
`EAttribute` `getAnyType_AnyAttribute()` Returns the meta object for the attribute list '`Any Attribute`'
`EAttribute` `getAnyType_Mixed()` Returns the meta object for the attribute list '`Mixed`'
`EClass` `getAnyType()` Returns the meta object for class '`Any Type`'
`EDataType` `getAnyURI()` Returns the meta object for data type '`Any URI`'
`EDataType` `getBase64Binary()` Returns the meta object for data type 'Base64 Binary'
`EDataType` `getBoolean()` Returns the meta object for data type 'Boolean'
`EDataType` `getBooleanObject()` Returns the meta object for data type '`Boolean Object`'
`EDataType` `getByte()` Returns the meta object for data type 'Byte'
`EDataType` `getByteObject()` Returns the meta object for data type '`Byte Object`'
`EDataType` `getDate()` Returns the meta object for data type '`Date`'
`EDataType` `getDateTime()` Returns the meta object for data type '`Date Time`'
`EDataType` `getDecimal()` Returns the meta object for data type '`Decimal`'
`EDataType` `getDouble()` Returns the meta object for data type 'Double'
`EDataType` `getDoubleObject()` Returns the meta object for data type '`Double Object`'
`EDataType` `getDuration()` Returns the meta object for data type '`Duration`'
`EDataType` `getENTITIES()` Returns the meta object for data type '`ENTITIES`'
`EDataType` `getENTITIESBase()` Returns the meta object for data type '`ENTITIES Base`'
`EDataType` `getENTITY()` Returns the meta object for data type '`ENTITY`'
`EDataType` `getFloat()` Returns the meta object for data type 'Float'
`EDataType` `getFloatObject()` Returns the meta object for data type '`Float Object`'
`EDataType` `getGDay()` Returns the meta object for data type '`GDay`'
`EDataType` `getGMonth()` Returns the meta object for data type '`GMonth`'
`EDataType` `getGMonthDay()` Returns the meta object for data type '`GMonth Day`'
`EDataType` `getGYear()` Returns the meta object for data type '`GYear`'
`EDataType` `getGYearMonth()` Returns the meta object for data type '`GYear Month`'
`EDataType` `getHexBinary()` Returns the meta object for data type 'Hex Binary'
`EDataType` `getID()` Returns the meta object for data type '`ID`'
`EDataType` `getIDREF()` Returns the meta object for data type '`IDREF`'
`EDataType` `getIDREFS()` Returns the meta object for data type '`IDREFS`'
`EDataType` `getIDREFSBase()` Returns the meta object for data type '`IDREFS Base`'
`EDataType` `getInt()` Returns the meta object for data type 'Int'
`EDataType` `getInteger()` Returns the meta object for data type '`Integer`'
`EDataType` `getIntObject()` Returns the meta object for data type '`Int Object`'
`EDataType` `getLanguage()` Returns the meta object for data type '`Language`'
`EDataType` `getLong()` Returns the meta object for data type 'Long'
`EDataType` `getLongObject()` Returns the meta object for data type '`Long Object`'
`EDataType` `getName_()` Returns the meta object for data type '`Name`'
`EDataType` `getNCName()` Returns the meta object for data type '`NC Name`'
`EDataType` `getNegativeInteger()` Returns the meta object for data type '`Negative Integer`'
`EDataType` `getNMTOKEN()` Returns the meta object for data type '`NMTOKEN`'
`EDataType` `getNMTOKENS()` Returns the meta object for data type '`NMTOKENS`'
`EDataType` `getNMTOKENSBase()` Returns the meta object for data type '`NMTOKENS Base`'
`EDataType` `getNonNegativeInteger()` Returns the meta object for data type '`Non Negative Integer`'
`EDataType` `getNonPositiveInteger()` Returns the meta object for data type '`Non Positive Integer`'
`EDataType` `getNormalizedString()` Returns the meta object for data type '`Normalized String`'
`EDataType` `getNOTATION()` Returns the meta object for data type '`NOTATION`'
`EDataType` `getPositiveInteger()` Returns the meta object for data type '`Positive Integer`'
`EAttribute` `getProcessingInstruction_Data()` Returns the meta object for the attribute '`Data`'
`EAttribute` `getProcessingInstruction_Target()` Returns the meta object for the attribute '`Target`'
`EClass` `getProcessingInstruction()` Returns the meta object for class '`Processing Instruction`'
`EDataType` `getQName()` Returns the meta object for data type '`QName`'
`EDataType` `getShort()` Returns the meta object for data type 'Short'
`EDataType` `getShortObject()` Returns the meta object for data type '`Short Object`'
`EReference` `getSimpleAnyType_InstanceType()` Returns the meta object for the reference '`Instance Type`'
`EAttribute` `getSimpleAnyType_RawValue()` Returns the meta object for the attribute '`Raw Value`'
`EAttribute` `getSimpleAnyType_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getSimpleAnyType()` Returns the meta object for class '`Simple Any Type`'
`EDataType` `getString()` Returns the meta object for data type '`String`'
`EDataType` `getTime()` Returns the meta object for data type '`Time`'
`EDataType` `getToken()` Returns the meta object for data type '`Token`'
`EDataType` `getUnsignedByte()` Returns the meta object for data type 'Unsigned Byte'
`EDataType` `getUnsignedByteObject()` Returns the meta object for data type '`Unsigned Byte Object`'
`EDataType` `getUnsignedInt()` Returns the meta object for data type 'Unsigned Int'
`EDataType` `getUnsignedIntObject()` Returns the meta object for data type '`Unsigned Int Object`'
`EDataType` `getUnsignedLong()` Returns the meta object for data type '`Unsigned Long`'
`EDataType` `getUnsignedShort()` Returns the meta object for data type 'Unsigned Short'
`EDataType` `getUnsignedShortObject()` Returns the meta object for data type '`Unsigned Short Object`'
`EAttribute` `getXMLTypeDocumentRoot_CDATA()` Returns the meta object for the attribute '`CDATA`'
`EAttribute` `getXMLTypeDocumentRoot_Comment()` Returns the meta object for the attribute '`Comment`'
`EAttribute` `getXMLTypeDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'
`EReference` `getXMLTypeDocumentRoot_ProcessingInstruction()` Returns the meta object for the containment reference '`Processing Instruction`'
`EAttribute` `getXMLTypeDocumentRoot_Text()` Returns the meta object for the attribute '`Text`'
`EReference` `getXMLTypeDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'
`EReference` `getXMLTypeDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'
`EClass` `getXMLTypeDocumentRoot()` Returns the meta object for class '`Document Root`'
`XMLTypeFactory` `getXMLTypeFactory()` Returns the factory that creates the instances of the model

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final XMLTypePackage eINSTANCE

  The singleton instance of the package.

### ANY_TYPE

    static final int ANY_TYPE

  The meta object id for the '`Any Type`' class.

  See Also:
    `AnyTypeImpl`, `XMLTypePackageImpl.getAnyType()`, Constant Field Values

### ANY_TYPE__MIXED

    static final int ANY_TYPE__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### ANY_TYPE__ANY

    static final int ANY_TYPE__ANY

  The feature id for the 'Any' attribute list.

  See Also:
    Constant Field Values

### ANY_TYPE__ANY_ATTRIBUTE

    static final int ANY_TYPE__ANY_ATTRIBUTE

  The feature id for the 'Any Attribute' attribute list.

  See Also:
    Constant Field Values

### ANY_TYPE_FEATURE_COUNT

    static final int ANY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Any Type' class.

  See Also:
    Constant Field Values

### PROCESSING_INSTRUCTION

    static final int PROCESSING_INSTRUCTION

  The meta object id for the '`Processing Instruction`' class.

  See Also:
    `ProcessingInstructionImpl`, `XMLTypePackageImpl.getProcessingInstruction()`, Constant Field Values

### PROCESSING_INSTRUCTION__DATA

    static final int PROCESSING_INSTRUCTION__DATA

  The feature id for the 'Data' attribute.

  See Also:
    Constant Field Values

### PROCESSING_INSTRUCTION__TARGET

    static final int PROCESSING_INSTRUCTION__TARGET

  The feature id for the 'Target' attribute.

  See Also:
    Constant Field Values

### PROCESSING_INSTRUCTION_FEATURE_COUNT

    static final int PROCESSING_INSTRUCTION_FEATURE_COUNT

  The number of structural features of the 'Processing Instruction' class.

  See Also:
    Constant Field Values

### SIMPLE_ANY_TYPE

    static final int SIMPLE_ANY_TYPE

  The meta object id for the '`Simple Any Type`' class.

  See Also:
    `SimpleAnyTypeImpl`, `XMLTypePackageImpl.getSimpleAnyType()`, Constant Field Values

### SIMPLE_ANY_TYPE__MIXED

    static final int SIMPLE_ANY_TYPE__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### SIMPLE_ANY_TYPE__ANY

    static final int SIMPLE_ANY_TYPE__ANY

  The feature id for the 'Any' attribute list.

  See Also:
    Constant Field Values

### SIMPLE_ANY_TYPE__ANY_ATTRIBUTE

    static final int SIMPLE_ANY_TYPE__ANY_ATTRIBUTE

  The feature id for the 'Any Attribute' attribute list.

  See Also:
    Constant Field Values

### SIMPLE_ANY_TYPE__RAW_VALUE

    static final int SIMPLE_ANY_TYPE__RAW_VALUE

  The feature id for the 'Raw Value' attribute.

  See Also:
    Constant Field Values

### SIMPLE_ANY_TYPE__VALUE

    static final int SIMPLE_ANY_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### SIMPLE_ANY_TYPE__INSTANCE_TYPE

    static final int SIMPLE_ANY_TYPE__INSTANCE_TYPE

  The feature id for the 'Instance Type' reference.

  See Also:
    Constant Field Values

### SIMPLE_ANY_TYPE_FEATURE_COUNT

    static final int SIMPLE_ANY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Simple Any Type' class.

  See Also:
    Constant Field Values

### XML_TYPE_DOCUMENT_ROOT

    static final int XML_TYPE_DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `XMLTypeDocumentRootImpl`, `XMLTypePackageImpl.getXMLTypeDocumentRoot()`, Constant Field Values

### XML_TYPE_DOCUMENT_ROOT__MIXED

    static final int XML_TYPE_DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### XML_TYPE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int XML_TYPE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### XML_TYPE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int XML_TYPE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### XML_TYPE_DOCUMENT_ROOT__CDATA

    static final int XML_TYPE_DOCUMENT_ROOT__CDATA

  The feature id for the 'CDATA' attribute.

  See Also:
    Constant Field Values

### XML_TYPE_DOCUMENT_ROOT__COMMENT

    static final int XML_TYPE_DOCUMENT_ROOT__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### XML_TYPE_DOCUMENT_ROOT__PROCESSING_INSTRUCTION

    static final int XML_TYPE_DOCUMENT_ROOT__PROCESSING_INSTRUCTION

  The feature id for the 'Processing Instruction' containment reference.

  See Also:
    Constant Field Values

### XML_TYPE_DOCUMENT_ROOT__TEXT

    static final int XML_TYPE_DOCUMENT_ROOT__TEXT

  The feature id for the 'Text' attribute.

  See Also:
    Constant Field Values

### XML_TYPE_DOCUMENT_ROOT_FEATURE_COUNT

    static final int XML_TYPE_DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### ANY_SIMPLE_TYPE

    static final int ANY_SIMPLE_TYPE

  The meta object id for the 'Any Simple Type' data type.

  See Also:
    `Object`, `XMLTypePackageImpl.getAnySimpleType()`, Constant Field Values

### ANY_URI

    static final int ANY_URI

  The meta object id for the 'Any URI' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getAnyURI()`, Constant Field Values

### BASE64_BINARY

    static final int BASE64_BINARY

  The meta object id for the 'Base64 Binary' data type.

  See Also:
    `XMLTypePackageImpl.getBase64Binary()`, Constant Field Values

### BOOLEAN

    static final int BOOLEAN

  The meta object id for the 'Boolean' data type.

  See Also:
    `XMLTypePackageImpl.getBoolean()`, Constant Field Values

### BOOLEAN_OBJECT

    static final int BOOLEAN_OBJECT

  The meta object id for the 'Boolean Object' data type.

  See Also:
    `Boolean`, `XMLTypePackageImpl.getBooleanObject()`, Constant Field Values

### DECIMAL

    static final int DECIMAL

  The meta object id for the 'Decimal' data type.

  See Also:
    `BigDecimal`, `XMLTypePackageImpl.getDecimal()`, Constant Field Values

### INTEGER

    static final int INTEGER

  The meta object id for the 'Integer' data type.

  See Also:
    `BigInteger`, `XMLTypePackageImpl.getInteger()`, Constant Field Values

### INT_OBJECT

    static final int INT_OBJECT

  The meta object id for the 'Int Object' data type.

  See Also:
    `Integer`, `XMLTypePackageImpl.getIntObject()`, Constant Field Values

### LONG

    static final int LONG

  The meta object id for the 'Long' data type.

  See Also:
    `XMLTypePackageImpl.getLong()`, Constant Field Values

### LONG_OBJECT

    static final int LONG_OBJECT

  The meta object id for the 'Long Object' data type.

  See Also:
    `Long`, `XMLTypePackageImpl.getLongObject()`, Constant Field Values

### INT

    static final int INT

  The meta object id for the 'Int' data type.

  See Also:
    `XMLTypePackageImpl.getInt()`, Constant Field Values

### SHORT

    static final int SHORT

  The meta object id for the 'Short' data type.

  See Also:
    `XMLTypePackageImpl.getShort()`, Constant Field Values

### SHORT_OBJECT

    static final int SHORT_OBJECT

  The meta object id for the 'Short Object' data type.

  See Also:
    `Short`, `XMLTypePackageImpl.getShortObject()`, Constant Field Values

### BYTE

    static final int BYTE

  The meta object id for the 'Byte' data type.

  See Also:
    `XMLTypePackageImpl.getByte()`, Constant Field Values

### BYTE_OBJECT

    static final int BYTE_OBJECT

  The meta object id for the 'Byte Object' data type.

  See Also:
    `Byte`, `XMLTypePackageImpl.getByteObject()`, Constant Field Values

### DATE

    static final int DATE

  The meta object id for the 'Date' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getDate()`, Constant Field Values

### DATE_TIME

    static final int DATE_TIME

  The meta object id for the 'Date Time' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getDateTime()`, Constant Field Values

### STRING

    static final int STRING

  The meta object id for the 'String' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getString()`, Constant Field Values

### DOUBLE

    static final int DOUBLE

  The meta object id for the 'Double' data type.

  See Also:
    `XMLTypePackageImpl.getDouble()`, Constant Field Values

### DOUBLE_OBJECT

    static final int DOUBLE_OBJECT

  The meta object id for the 'Double Object' data type.

  See Also:
    `Double`, `XMLTypePackageImpl.getDoubleObject()`, Constant Field Values

### DURATION

    static final int DURATION

  The meta object id for the 'Duration' data type.

  See Also:
    `Duration`, `XMLTypePackageImpl.getDuration()`, Constant Field Values

### ENTITIES_BASE

    static final int ENTITIES_BASE

  The meta object id for the 'ENTITIES Base' data type.

  See Also:
    `List`, `XMLTypePackageImpl.getENTITIESBase()`, Constant Field Values

### NORMALIZED_STRING

    static final int NORMALIZED_STRING

  The meta object id for the 'Normalized String' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getNormalizedString()`, Constant Field Values

### TOKEN

    static final int TOKEN

  The meta object id for the 'Token' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getToken()`, Constant Field Values

### NAME

    static final int NAME

  The meta object id for the 'Name' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getName_()`, Constant Field Values

### NC_NAME

    static final int NC_NAME

  The meta object id for the 'NC Name' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getNCName()`, Constant Field Values

### ENTITY

    static final int ENTITY

  The meta object id for the 'ENTITY' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getENTITY()`, Constant Field Values

### ENTITIES

    static final int ENTITIES

  The meta object id for the 'ENTITIES' data type.

  See Also:
    `List`, `XMLTypePackageImpl.getENTITIES()`, Constant Field Values

### FLOAT

    static final int FLOAT

  The meta object id for the 'Float' data type.

  See Also:
    `XMLTypePackageImpl.getFloat()`, Constant Field Values

### FLOAT_OBJECT

    static final int FLOAT_OBJECT

  The meta object id for the 'Float Object' data type.

  See Also:
    `Float`, `XMLTypePackageImpl.getFloatObject()`, Constant Field Values

### GDAY

    static final int GDAY

  The meta object id for the 'GDay' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getGDay()`, Constant Field Values

### GMONTH

    static final int GMONTH

  The meta object id for the 'GMonth' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getGMonth()`, Constant Field Values

### GMONTH_DAY

    static final int GMONTH_DAY

  The meta object id for the 'GMonth Day' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getGMonthDay()`, Constant Field Values

### GYEAR

    static final int GYEAR

  The meta object id for the 'GYear' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getGYear()`, Constant Field Values

### GYEAR_MONTH

    static final int GYEAR_MONTH

  The meta object id for the 'GYear Month' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getGYearMonth()`, Constant Field Values

### HEX_BINARY

    static final int HEX_BINARY

  The meta object id for the 'Hex Binary' data type.

  See Also:
    `XMLTypePackageImpl.getHexBinary()`, Constant Field Values

### ID

    static final int ID

  The meta object id for the 'ID' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getID()`, Constant Field Values

### IDREF

    static final int IDREF

  The meta object id for the 'IDREF' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getIDREF()`, Constant Field Values

### IDREFS_BASE

    static final int IDREFS_BASE

  The meta object id for the 'IDREFS Base' data type.

  See Also:
    `List`, `XMLTypePackageImpl.getIDREFSBase()`, Constant Field Values

### IDREFS

    static final int IDREFS

  The meta object id for the 'IDREFS' data type.

  See Also:
    `List`, `XMLTypePackageImpl.getIDREFS()`, Constant Field Values

### LANGUAGE

    static final int LANGUAGE

  The meta object id for the 'Language' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getLanguage()`, Constant Field Values

### NON_POSITIVE_INTEGER

    static final int NON_POSITIVE_INTEGER

  The meta object id for the 'Non Positive Integer' data type.

  See Also:
    `BigInteger`, `XMLTypePackageImpl.getNonPositiveInteger()`, Constant Field Values

### NEGATIVE_INTEGER

    static final int NEGATIVE_INTEGER

  The meta object id for the 'Negative Integer' data type.

  See Also:
    `BigInteger`, `XMLTypePackageImpl.getNegativeInteger()`, Constant Field Values

### NMTOKEN

    static final int NMTOKEN

  The meta object id for the 'NMTOKEN' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getNMTOKEN()`, Constant Field Values

### NMTOKENS_BASE

    static final int NMTOKENS_BASE

  The meta object id for the 'NMTOKENS Base' data type.

  See Also:
    `List`, `XMLTypePackageImpl.getNMTOKENSBase()`, Constant Field Values

### NMTOKENS

    static final int NMTOKENS

  The meta object id for the 'NMTOKENS' data type.

  See Also:
    `List`, `XMLTypePackageImpl.getNMTOKENS()`, Constant Field Values

### NON_NEGATIVE_INTEGER

    static final int NON_NEGATIVE_INTEGER

  The meta object id for the 'Non Negative Integer' data type.

  See Also:
    `BigInteger`, `XMLTypePackageImpl.getNonNegativeInteger()`, Constant Field Values

### NOTATION

    static final int NOTATION

  The meta object id for the 'NOTATION' data type.

  See Also:
    `QName`, `XMLTypePackageImpl.getNOTATION()`, Constant Field Values

### POSITIVE_INTEGER

    static final int POSITIVE_INTEGER

  The meta object id for the 'Positive Integer' data type.

  See Also:
    `BigInteger`, `XMLTypePackageImpl.getPositiveInteger()`, Constant Field Values

### QNAME

    static final int QNAME

  The meta object id for the 'QName' data type.

  See Also:
    `QName`, `XMLTypePackageImpl.getQName()`, Constant Field Values

### TIME

    static final int TIME

  The meta object id for the 'Time' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getTime()`, Constant Field Values

### UNSIGNED_LONG

    static final int UNSIGNED_LONG

  The meta object id for the 'Unsigned Long' data type.

  See Also:
    `BigInteger`, `XMLTypePackageImpl.getUnsignedLong()`, Constant Field Values

### UNSIGNED_INT

    static final int UNSIGNED_INT

  The meta object id for the 'Unsigned Int' data type.

  See Also:
    `XMLTypePackageImpl.getUnsignedInt()`, Constant Field Values

### UNSIGNED_INT_OBJECT

    static final int UNSIGNED_INT_OBJECT

  The meta object id for the 'Unsigned Int Object' data type.

  See Also:
    `Long`, `XMLTypePackageImpl.getUnsignedIntObject()`, Constant Field Values

### UNSIGNED_SHORT

    static final int UNSIGNED_SHORT

  The meta object id for the 'Unsigned Short' data type.

  See Also:
    `XMLTypePackageImpl.getUnsignedShort()`, Constant Field Values

### UNSIGNED_SHORT_OBJECT

    static final int UNSIGNED_SHORT_OBJECT

  The meta object id for the 'Unsigned Short Object' data type.

  See Also:
    `Integer`, `XMLTypePackageImpl.getUnsignedShortObject()`, Constant Field Values

### UNSIGNED_BYTE

    static final int UNSIGNED_BYTE

  The meta object id for the 'Unsigned Byte' data type.

  See Also:
    `XMLTypePackageImpl.getUnsignedByte()`, Constant Field Values

### UNSIGNED_BYTE_OBJECT

    static final int UNSIGNED_BYTE_OBJECT

  The meta object id for the 'Unsigned Byte Object' data type.

  See Also:
    `Short`, `XMLTypePackageImpl.getUnsignedByteObject()`, Constant Field Values

Method Detail

### getAnyType

    EClass getAnyType()

  Returns the meta object for class '`Any Type`'.

  Returns:
    the meta object for class 'Any Type'.
  See Also:
    `AnyType`

### getAnyType_Mixed

    EAttribute getAnyType_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `AnyType.getMixed()`, `getAnyType()`

### getAnyType_Any

    EAttribute getAnyType_Any()

  Returns the meta object for the attribute list '`Any`'.

  Returns:
    the meta object for the attribute list 'Any'.
  See Also:
    `AnyType.getAny()`, `getAnyType()`

### getAnyType_AnyAttribute

    EAttribute getAnyType_AnyAttribute()

  Returns the meta object for the attribute list '`Any Attribute`'.

  Returns:
    the meta object for the attribute list 'Any Attribute'.
  See Also:
    `AnyType.getAnyAttribute()`, `getAnyType()`

### getProcessingInstruction

    EClass getProcessingInstruction()

  Returns the meta object for class '`Processing Instruction`'.

  Returns:
    the meta object for class 'Processing Instruction'.
  See Also:
    `ProcessingInstruction`

### getProcessingInstruction_Data

    EAttribute getProcessingInstruction_Data()

  Returns the meta object for the attribute '`Data`'.

  Returns:
    the meta object for the attribute 'Data'.
  See Also:
    `ProcessingInstruction.getData()`, `getProcessingInstruction()`

### getProcessingInstruction_Target

    EAttribute getProcessingInstruction_Target()

  Returns the meta object for the attribute '`Target`'.

  Returns:
    the meta object for the attribute 'Target'.
  See Also:
    `ProcessingInstruction.getTarget()`, `getProcessingInstruction()`

### getSimpleAnyType

    EClass getSimpleAnyType()

  Returns the meta object for class '`Simple Any Type`'.

  Returns:
    the meta object for class 'Simple Any Type'.
  See Also:
    `SimpleAnyType`

### getSimpleAnyType_RawValue

    EAttribute getSimpleAnyType_RawValue()

  Returns the meta object for the attribute '`Raw Value`'.

  Returns:
    the meta object for the attribute 'Raw Value'.
  See Also:
    `SimpleAnyType.getRawValue()`, `getSimpleAnyType()`

### getSimpleAnyType_Value

    EAttribute getSimpleAnyType_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `SimpleAnyType.getValue()`, `getSimpleAnyType()`

### getSimpleAnyType_InstanceType

    EReference getSimpleAnyType_InstanceType()

  Returns the meta object for the reference '`Instance Type`'.

  Returns:
    the meta object for the reference 'Instance Type'.
  See Also:
    `SimpleAnyType.getInstanceType()`, `getSimpleAnyType()`

### getXMLTypeDocumentRoot

    EClass getXMLTypeDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `XMLTypeDocumentRoot`

### getXMLTypeDocumentRoot_Mixed

    EAttribute getXMLTypeDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `XMLTypeDocumentRoot.getMixed()`, `getXMLTypeDocumentRoot()`

### getXMLTypeDocumentRoot_XMLNSPrefixMap

    EReference getXMLTypeDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `XMLTypeDocumentRoot.getXMLNSPrefixMap()`, `getXMLTypeDocumentRoot()`

### getXMLTypeDocumentRoot_XSISchemaLocation

    EReference getXMLTypeDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `XMLTypeDocumentRoot.getXSISchemaLocation()`, `getXMLTypeDocumentRoot()`

### getXMLTypeDocumentRoot_CDATA

    EAttribute getXMLTypeDocumentRoot_CDATA()

  Returns the meta object for the attribute '`CDATA`'.

  Returns:
    the meta object for the attribute 'CDATA'.
  See Also:
    `XMLTypeDocumentRoot`, `getXMLTypeDocumentRoot()`

### getXMLTypeDocumentRoot_Comment

    EAttribute getXMLTypeDocumentRoot_Comment()

  Returns the meta object for the attribute '`Comment`'.

  Returns:
    the meta object for the attribute 'Comment'.
  See Also:
    `XMLTypeDocumentRoot`, `getXMLTypeDocumentRoot()`

### getXMLTypeDocumentRoot_Text

    EAttribute getXMLTypeDocumentRoot_Text()

  Returns the meta object for the attribute '`Text`'.

  Returns:
    the meta object for the attribute 'Text'.
  See Also:
    `XMLTypeDocumentRoot`, `getXMLTypeDocumentRoot()`

### getXMLTypeDocumentRoot_ProcessingInstruction

    EReference getXMLTypeDocumentRoot_ProcessingInstruction()

  Returns the meta object for the containment reference '`Processing Instruction`'.

  Returns:
    the meta object for the containment reference 'Processing Instruction'.
  See Also:
    `XMLTypeDocumentRoot`, `getXMLTypeDocumentRoot()`

### getAnySimpleType

    EDataType getAnySimpleType()

  Returns the meta object for data type '`Any Simple Type`'.

  Returns:
    the meta object for data type 'Any Simple Type'.
  See Also:
    `Object`

### getAnyURI

    EDataType getAnyURI()

  Returns the meta object for data type '`Any URI`'.

  Returns:
    the meta object for data type 'Any URI'.
  See Also:
    `String`

### getBase64Binary

    EDataType getBase64Binary()

  Returns the meta object for data type 'Base64 Binary'.

  Returns:
    the meta object for data type 'Base64 Binary'.

### getBoolean

    EDataType getBoolean()

  Returns the meta object for data type 'Boolean'.

  Returns:
    the meta object for data type 'Boolean'.

### getBooleanObject

    EDataType getBooleanObject()

  Returns the meta object for data type '`Boolean Object`'.

  Returns:
    the meta object for data type 'Boolean Object'.
  See Also:
    `Boolean`

### getDecimal

    EDataType getDecimal()

  Returns the meta object for data type '`Decimal`'.

  Returns:
    the meta object for data type 'Decimal'.
  See Also:
    `BigDecimal`

### getInteger

    EDataType getInteger()

  Returns the meta object for data type '`Integer`'.

  Returns:
    the meta object for data type 'Integer'.
  See Also:
    `BigInteger`

### getIntObject

    EDataType getIntObject()

  Returns the meta object for data type '`Int Object`'.

  Returns:
    the meta object for data type 'Int Object'.
  See Also:
    `Integer`

### getLong

    EDataType getLong()

  Returns the meta object for data type 'Long'.

  Returns:
    the meta object for data type 'Long'.

### getLongObject

    EDataType getLongObject()

  Returns the meta object for data type '`Long Object`'.

  Returns:
    the meta object for data type 'Long Object'.
  See Also:
    `Long`

### getInt

    EDataType getInt()

  Returns the meta object for data type 'Int'.

  Returns:
    the meta object for data type 'Int'.

### getShort

    EDataType getShort()

  Returns the meta object for data type 'Short'.

  Returns:
    the meta object for data type 'Short'.

### getShortObject

    EDataType getShortObject()

  Returns the meta object for data type '`Short Object`'.

  Returns:
    the meta object for data type 'Short Object'.
  See Also:
    `Short`

### getByte

    EDataType getByte()

  Returns the meta object for data type 'Byte'.

  Returns:
    the meta object for data type 'Byte'.

### getByteObject

    EDataType getByteObject()

  Returns the meta object for data type '`Byte Object`'.

  Returns:
    the meta object for data type 'Byte Object'.
  See Also:
    `Byte`

### getDate

    EDataType getDate()

  Returns the meta object for data type '`Date`'.

  Returns:
    the meta object for data type 'Date'.
  See Also:
    `XMLGregorianCalendar`

### getDateTime

    EDataType getDateTime()

  Returns the meta object for data type '`Date Time`'.

  Returns:
    the meta object for data type 'Date Time'.
  See Also:
    `XMLGregorianCalendar`

### getString

    EDataType getString()

  Returns the meta object for data type '`String`'.

  Returns:
    the meta object for data type 'String'.
  See Also:
    `String`

### getDouble

    EDataType getDouble()

  Returns the meta object for data type 'Double'.

  Returns:
    the meta object for data type 'Double'.

### getDoubleObject

    EDataType getDoubleObject()

  Returns the meta object for data type '`Double Object`'.

  Returns:
    the meta object for data type 'Double Object'.
  See Also:
    `Double`

### getDuration

    EDataType getDuration()

  Returns the meta object for data type '`Duration`'.

  Returns:
    the meta object for data type 'Duration'.
  See Also:
    `Duration`

### getENTITIESBase

    EDataType getENTITIESBase()

  Returns the meta object for data type '`ENTITIES Base`'.

  Returns:
    the meta object for data type 'ENTITIES Base'.
  See Also:
    `List`

### getNormalizedString

    EDataType getNormalizedString()

  Returns the meta object for data type '`Normalized String`'.

  Returns:
    the meta object for data type 'Normalized String'.
  See Also:
    `String`

### getToken

    EDataType getToken()

  Returns the meta object for data type '`Token`'.

  Returns:
    the meta object for data type 'Token'.
  See Also:
    `String`

### getName_

    EDataType getName_()

  Returns the meta object for data type '`Name`'.

  Returns:
    the meta object for data type 'Name'.
  See Also:
    `String`

### getNCName

    EDataType getNCName()

  Returns the meta object for data type '`NC Name`'.

  Returns:
    the meta object for data type 'NC Name'.
  See Also:
    `String`

### getENTITY

    EDataType getENTITY()

  Returns the meta object for data type '`ENTITY`'.

  Returns:
    the meta object for data type 'ENTITY'.
  See Also:
    `String`

### getENTITIES

    EDataType getENTITIES()

  Returns the meta object for data type '`ENTITIES`'.

  Returns:
    the meta object for data type 'ENTITIES'.
  See Also:
    `List`

### getFloat

    EDataType getFloat()

  Returns the meta object for data type 'Float'.

  Returns:
    the meta object for data type 'Float'.

### getFloatObject

    EDataType getFloatObject()

  Returns the meta object for data type '`Float Object`'.

  Returns:
    the meta object for data type 'Float Object'.
  See Also:
    `Float`

### getGDay

    EDataType getGDay()

  Returns the meta object for data type '`GDay`'.

  Returns:
    the meta object for data type 'GDay'.
  See Also:
    `XMLGregorianCalendar`

### getGMonth

    EDataType getGMonth()

  Returns the meta object for data type '`GMonth`'.

  Returns:
    the meta object for data type 'GMonth'.
  See Also:
    `XMLGregorianCalendar`

### getGMonthDay

    EDataType getGMonthDay()

  Returns the meta object for data type '`GMonth Day`'.

  Returns:
    the meta object for data type 'GMonth Day'.
  See Also:
    `XMLGregorianCalendar`

### getGYear

    EDataType getGYear()

  Returns the meta object for data type '`GYear`'.

  Returns:
    the meta object for data type 'GYear'.
  See Also:
    `XMLGregorianCalendar`

### getGYearMonth

    EDataType getGYearMonth()

  Returns the meta object for data type '`GYear Month`'.

  Returns:
    the meta object for data type 'GYear Month'.
  See Also:
    `XMLGregorianCalendar`

### getHexBinary

    EDataType getHexBinary()

  Returns the meta object for data type 'Hex Binary'.

  Returns:
    the meta object for data type 'Hex Binary'.

### getID

    EDataType getID()

  Returns the meta object for data type '`ID`'.

  Returns:
    the meta object for data type 'ID'.
  See Also:
    `String`

### getIDREF

    EDataType getIDREF()

  Returns the meta object for data type '`IDREF`'.

  Returns:
    the meta object for data type 'IDREF'.
  See Also:
    `String`

### getIDREFSBase

    EDataType getIDREFSBase()

  Returns the meta object for data type '`IDREFS Base`'.

  Returns:
    the meta object for data type 'IDREFS Base'.
  See Also:
    `List`

### getIDREFS

    EDataType getIDREFS()

  Returns the meta object for data type '`IDREFS`'.

  Returns:
    the meta object for data type 'IDREFS'.
  See Also:
    `List`

### getLanguage

    EDataType getLanguage()

  Returns the meta object for data type '`Language`'.

  Returns:
    the meta object for data type 'Language'.
  See Also:
    `String`

### getNonPositiveInteger

    EDataType getNonPositiveInteger()

  Returns the meta object for data type '`Non Positive Integer`'.

  Returns:
    the meta object for data type 'Non Positive Integer'.
  See Also:
    `BigInteger`

### getNegativeInteger

    EDataType getNegativeInteger()

  Returns the meta object for data type '`Negative Integer`'.

  Returns:
    the meta object for data type 'Negative Integer'.
  See Also:
    `BigInteger`

### getNMTOKEN

    EDataType getNMTOKEN()

  Returns the meta object for data type '`NMTOKEN`'.

  Returns:
    the meta object for data type 'NMTOKEN'.
  See Also:
    `String`

### getNMTOKENSBase

    EDataType getNMTOKENSBase()

  Returns the meta object for data type '`NMTOKENS Base`'.

  Returns:
    the meta object for data type 'NMTOKENS Base'.
  See Also:
    `List`

### getNMTOKENS

    EDataType getNMTOKENS()

  Returns the meta object for data type '`NMTOKENS`'.

  Returns:
    the meta object for data type 'NMTOKENS'.
  See Also:
    `List`

### getNonNegativeInteger

    EDataType getNonNegativeInteger()

  Returns the meta object for data type '`Non Negative Integer`'.

  Returns:
    the meta object for data type 'Non Negative Integer'.
  See Also:
    `BigInteger`

### getNOTATION

    EDataType getNOTATION()

  Returns the meta object for data type '`NOTATION`'.

  Returns:
    the meta object for data type 'NOTATION'.
  See Also:
    `QName`

### getPositiveInteger

    EDataType getPositiveInteger()

  Returns the meta object for data type '`Positive Integer`'.

  Returns:
    the meta object for data type 'Positive Integer'.
  See Also:
    `BigInteger`

### getQName

    EDataType getQName()

  Returns the meta object for data type '`QName`'.

  Returns:
    the meta object for data type 'QName'.
  See Also:
    `QName`

### getTime

    EDataType getTime()

  Returns the meta object for data type '`Time`'.

  Returns:
    the meta object for data type 'Time'.
  See Also:
    `XMLGregorianCalendar`

### getUnsignedLong

    EDataType getUnsignedLong()

  Returns the meta object for data type '`Unsigned Long`'.

  Returns:
    the meta object for data type 'Unsigned Long'.
  See Also:
    `BigInteger`

### getUnsignedInt

    EDataType getUnsignedInt()

  Returns the meta object for data type 'Unsigned Int'.

  Returns:
    the meta object for data type 'Unsigned Int'.

### getUnsignedIntObject

    EDataType getUnsignedIntObject()

  Returns the meta object for data type '`Unsigned Int Object`'.

  Returns:
    the meta object for data type 'Unsigned Int Object'.
  See Also:
    `Long`

### getUnsignedShort

    EDataType getUnsignedShort()

  Returns the meta object for data type 'Unsigned Short'.

  Returns:
    the meta object for data type 'Unsigned Short'.

### getUnsignedShortObject

    EDataType getUnsignedShortObject()

  Returns the meta object for data type '`Unsigned Short Object`'.

  Returns:
    the meta object for data type 'Unsigned Short Object'.
  See Also:
    `Integer`

### getUnsignedByte

    EDataType getUnsignedByte()

  Returns the meta object for data type 'Unsigned Byte'.

  Returns:
    the meta object for data type 'Unsigned Byte'.

### getUnsignedByteObject

    EDataType getUnsignedByteObject()

  Returns the meta object for data type '`Unsigned Byte Object`'.

  Returns:
    the meta object for data type 'Unsigned Byte Object'.
  See Also:
    `Short`

### getXMLTypeFactory

    XMLTypeFactory getXMLTypeFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.